-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 02, 2023 at 04:19 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `thesis`
--

-- --------------------------------------------------------

--
-- Table structure for table `games`
--

CREATE TABLE `games` (
  `id` int(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `max_player_number` int(255) NOT NULL,
  `category` varchar(255) NOT NULL,
  `icon` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `games`
--

INSERT INTO `games` (`id`, `name`, `description`, `max_player_number`, `category`, `icon`) VALUES
(1, 'Uno', 'Uno is an American shedding-type card game that is played with a specially printed deck. The game\'s general principles put it into the crazy eights family of card games, and it is similar to the traditional European game mau-mau.\r\n\r\nIt has been a Mattel brand since 1992.', 10, 'Card Game', 'uploads/uno.png'),
(2, 'Exploding Kittens', 'Exploding Kittens is a casual dedicated deck card game designed by Matthew Inman of The Oatmeal webcomic, Elan Lee and Shane Small, and first published by The Oatmeal in 2015. Beginning as a Kickstarter project seeking US$10,000 in crowdfunding, it exceeded its goal in eight minutes.', 5, 'Card Game', 'uploads/explodingkittens.png'),
(3, 'Bang!', 'Bang! is a Spaghetti Western-themed social deduction card game designed by Emiliano Sciarra and released by Italian publisher DV Giochi in 2002. In 2004, Bang! won the Origins Award for Best Traditional Card Game of 2003 and Best Graphic Design of a Card Game or Expansion.', 7, 'Card Game', 'uploads/bang.jpg'),
(4, 'Zombie Dice', 'Zombie Dice is a \"press your luck\" party dice game created by Steve Jackson Games and released in 2010. A digital app version of the game has also been released.', 8, 'Dice Game', 'uploads/zombie_dice.jpg'),
(5, 'Poker', 'Poker is a family of comparing card games in which players wager over which hand is best according to that specific game\'s rules. It is played worldwide, but in some places the rules may vary. While the earliest known form of the game was played with just 20 cards, today it is usually played with a standard deck, although in countries where short packs are common, it may be played with 32, 40 or 48 cards. Thus poker games vary in deck configuration, the number of cards in play, the number dealt ', 8, 'Card Game', 'uploads/poker.jpg'),
(6, 'Yahtzee', 'Yahtzee is a dice game made by Milton Bradley (a company that has since been acquired and assimilated by Hasbro). It was first marketed under the name of Yahtzee by game entrepreneur Edwin S. Lowe in 1956. The game is a development of earlier dice games such as Poker Dice, Yacht and Generala. It is also similar to Yatzy, which is popular in Scandinavia.', 4, 'Dice Game', 'uploads/yahtzee.png'),
(7, 'Craps', 'Craps is a dice game in which players bet on the outcomes of the roll of a pair of dice. Players can wager money against each other (playing \"street craps\") or against a bank (\"casino craps\"). Because it requires little equipment, \"street craps\" can be played in informal settings. While shooting craps, players may use slang terminology to place bets and actions.', 20, 'Dice Game', 'uploads/craps.png'),
(8, 'Pandemic', 'Pandemic is a cooperative board game designed by Matt Leacock and first published by Z-Man Games in the United States in 2008. Pandemic is based on the premise that four diseases have broken out in the world, each threatening to wipe out a region. The game accommodates two to four players, each playing one of seven possible roles: dispatcher, medic, scientist, researcher, operations expert, contingency planner, or quarantine specialist. Through the combined effort of all the players, the goal is', 4, 'Board Game', 'uploads/pandemic.jpg'),
(9, 'Cluedo', 'Cluedo, known as Clue in North America and South Korea, is a murder mystery game for three to six players (depending on editions) that was devised in 1943 by British board game designer Anthony E. Pratt. The game was first manufactured by Waddingtons in the United Kingdom in 1949. Since then, it has been relaunched and updated several times, and it is currently owned and published by the American game and toy company Hasbro.', 6, 'Board Game', 'uploads/cluedo.png'),
(10, 'Snakes and Ladders', 'Snakes and Ladders is a board game for two or more players regarded today as a worldwide classic. The game originated in ancient India as Moksha Patam, and was brought to the UK in the 1890s. It is played on a game board with numbered, gridded squares. A number of \"ladders\" and \"snakes\" are pictured on the board, each connecting two specific board squares. The object of the game is to navigate one\'s game piece, according to die rolls, from the start (bottom square) to the finish (top square), he', 8, 'Board Game', 'uploads/snakes_and_ladders.jpg'),
(11, 'Dungeons & Dragons', 'Dungeons and Dragons (D&D) is a tabletop role-playing game that was first published in 1974. The game takes place in a fantasy world, where players create and control characters that go on quests, fight monsters, and gain experience and treasure. D&D is one of the most popular and influential RPGs in history, with a dedicated community of players and designers who continue to expand and develop the game to this day.', 12, 'Tabletop Role-Playing Game', 'uploads/dungeons_and_dragons.png'),
(12, 'Pathfinder Roleplaying Game', 'The Pathfinder Roleplaying Game is a fantasy role-playing game (RPG) that was published in 2009 by Paizo Publishing. The first edition extends and modifies the System Reference Document (SRD) based on the revised 3rd edition Dungeons & Dragons (D&D) published by Wizards of the Coast under the Open Game License (OGL) and is intended to be backward-compatible with that edition.', 12, 'Tabletop Role-Playing Game', 'uploads/pathfinder.jpg'),
(13, 'Charades', 'Charades is a game in which players take turns acting out a word or phrase without speaking, while the other players try to guess what it is. The game is typically played in teams, with each team taking turns performing and guessing. Charades is a classic party game that has been played for generations and continues to be a popular form of entertainment.', 10, 'Other Game', 'uploads/charades.png'),
(14, 'Jigsaw Puzzles', 'Jigsaw puzzles are a type of puzzle that consists of interlocking pieces that, when assembled, form a complete picture. The puzzles range in size and complexity, from small, simple designs to large, intricate ones that can take weeks to complete. Jigsaw puzzles are a relaxing and engaging activity that can be enjoyed alone or with others.', 4, 'Other Game', 'uploads/jigsaw_puzzles.png'),
(15, 'Escape Rooms', 'Escape rooms are a form of immersive puzzle game in which players are locked in a room and must solve a series of clues and puzzles in order to escape. The games are typically timed and require teamwork and problem-solving skills. Escape rooms have become a popular form of entertainment in recent years, with themed rooms and elaborate puzzles that offer a unique and challenging experience.', 4, 'Other Game', 'uploads/escape_room.jpg'),
(16, 'Imagine', 'More than one thousand items from all walks of life can be guessed through the use of 61 transparent cards in Imagine, whether they\'re placed next to one another or superimposed. Almost everything in the world can be represented by a simplified concept — just don\'t speak while you\'re playing...', 8, 'Card Game', 'uploads/imagine.png');

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

CREATE TABLE `messages` (
  `message_id` int(11) NOT NULL,
  `user_id` int(255) NOT NULL,
  `date` datetime NOT NULL DEFAULT current_timestamp(),
  `subject` varchar(255) NOT NULL,
  `message` longtext NOT NULL,
  `unread` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `messages`
--

INSERT INTO `messages` (`message_id`, `user_id`, `date`, `subject`, `message`, `unread`) VALUES
(2, 2, '2023-04-17 17:39:23', 'Party Finder', 'admin has deleted their Session called \"Game Night\"!', 0),
(3, 2, '2023-04-18 17:01:43', 'Party Finder', 'admin has joined your Session called \"Charades Party\"!', 0),
(4, 2, '2023-04-18 17:01:54', 'Party Finder', 'admin has left your Session called \"Charades Party\"!', 1);

-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE `sessions` (
  `id` int(255) NOT NULL,
  `game_id` int(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `location` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `date` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `sessions`
--

INSERT INTO `sessions` (`id`, `game_id`, `name`, `location`, `description`, `date`) VALUES
(1, 1, 'Uno Party', 'Budapest', 'Come over for a game of Uno!', '2023-03-14 18:00:00'),
(2, 8, 'Game Night', 'Nagykáta', 'Let\'s try to beat this game together!', '2023-04-07 15:00:00'),
(3, 2, 'Kitten Chaos', 'Budapest', 'Food & drinks included', '2023-04-21 21:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(255) NOT NULL,
  `username` varchar(25) NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `fullname` varchar(255) DEFAULT NULL,
  `phone` varchar(15) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `bio` varchar(255) DEFAULT NULL,
  `gender` int(11) DEFAULT NULL,
  `birthdate` date DEFAULT NULL,
  `pfp` varchar(255) DEFAULT NULL,
  `facebook` varchar(255) DEFAULT NULL,
  `instagram` varchar(255) DEFAULT NULL,
  `twitter` varchar(255) DEFAULT NULL,
  `admin` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password`, `email`, `fullname`, `phone`, `address`, `bio`, `gender`, `birthdate`, `pfp`, `facebook`, `instagram`, `twitter`, `admin`) VALUES
(1, 'admin', 'admin', 'rolanderdos8@gmail.com', 'Erdős Roland', '36203457914', 'Nagykáta', 'Admin', 1, '2000-07-14', 'uploads/a28e551ce5c6a183a621401d191f3a76.jpg', 'Erdős Roland', 'rolierdos', '', 1),
(2, 'user', 'user', 'user@gmail.com', 'User Name', '36201234567', 'Home', 'New user', 1, '2000-06-14', 'uploads/default_pfp.png', '', '', '', 0);

-- --------------------------------------------------------

--
-- Table structure for table `users_sessions`
--

CREATE TABLE `users_sessions` (
  `session_id` int(255) NOT NULL,
  `user_id` int(255) NOT NULL,
  `role` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users_sessions`
--

INSERT INTO `users_sessions` (`session_id`, `user_id`, `role`) VALUES
(7, 1, 0),
(8, 2, 0),
(9, 2, 0);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `games`
--
ALTER TABLE `games`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `messages`
--
ALTER TABLE `messages`
  ADD PRIMARY KEY (`message_id`);

--
-- Indexes for table `sessions`
--
ALTER TABLE `sessions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `games`
--
ALTER TABLE `games`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `messages`
--
ALTER TABLE `messages`
  MODIFY `message_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sessions`
--
ALTER TABLE `sessions`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
